#!/usr/local/bin/perl

push(@INC, "..");
require("DBAccess.pl");

my $qdata_foldername = $ARGV[0];
my $qdata_indexname = $ARGV[1];
my $qdata_resizeop = $ARGV[2];
my $qdata_display = $ARGV[3];
my $qdata_displayresizeop = $ARGV[4];
my $qdata_isAllowComment = $ARGV[5];
my $qdata_isAllowUserUpload = $ARGV[6];

my $db = DBAccess->new("../config.xml", $qdata_foldername, $qdata_indexname);
$db -> setThumbnailLock ();

$db -> setAllowComment( $qdata_isAllowComment );
$db -> setAllowUserUpload( $qdata_isAllowUserUpload );

if ( $qdata_resizeop == undef || $qdata_resizeop eq "" 
                              || $qdata_resizeop=~m/\s+/ ) {
    $qdata_resizeop = "25%x25%";
}

if ( $qdata_displayresizeop == undef || $qdata_displayresizeop eq "" 
                                     || $qdata_displayresizeop=~m/\s+/ ) {
    $qdata_displayresizeop = "640x480";
}


my %globaldata = ();
$globaldata{Title} = "TBD";
$globaldata{Introduction} = "TBD";
$globaldata{Closing} = "TBD";
$db -> addGlobalDef( \%globaldata );

my @allimages = $db -> getFullImagesFromFolder ();
for (my $i = 0; $i <= $#allimages; $i = $i + 1) {
#  $db -> generateThumbnail ( $allimages[$i], $qdata_resizeop );
  $db -> resize ( $allimages[$i], $qdata_resizeop, "TN" );
  if ( $qdata_display eq "yes" ) {
    $db -> resize ( $allimages[$i], $qdata_displayresizeop, "DP" );
  }

  my %imagedata = ();
  if ( $qdata_display eq "yes" ) {
    $imagedata{FullImage} = "$allimages[$i]";
    $imagedata{ImageName} = "DP-$allimages[$i]";
  } else {
    $imagedata{ImageName} = "$allimages[$i]";
  }
  $imagedata{ThumbnailName} = "TN-$allimages[$i]";
  $imagedata{ImageTitle} = " ";
  $imagedata{ImageDescription} = " ";
  $imagedata{Hidden} = "no";
  $db -> addImage( \%imagedata );
}

$db -> releaseThumbnailLock ();

exit 0;

